package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0274
 * @Description : 新生儿年龄未填
 * @Author : 胡敬
 * @Date: 2020-03-14 16:10
 */
@Component
public class FIRP0274 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        if (inputInfo.getFirstPageRecordDoc() != null && inputInfo.getFirstPageRecordDoc().getStructureMap() != null) {
            Map<String, String> firstpageStructureMap = inputInfo.getFirstPageRecordDoc().getStructureMap();
            /*String age = firstpageStructureMap.get(Content.age);*/
            String infantAgeMonths = firstpageStructureMap.get(Content.newbornAgeMonths);
            String infantAgeDays = firstpageStructureMap.get(Content.newbornAgeDays);
            if (CatalogueUtil.isEmpty(infantAgeMonths)
                    && CatalogueUtil.isEmpty(infantAgeDays)) {
                status.set("-1");
            }
        }
    }
}